# H3DNetworkingUtils::StickyDynamic Class Reference

The StickyDynamic class is a Dynamic that has three types of stickiness:. More...

`#include <H3DNetworkingUtils/StickyDynamic.h>`

Inheritance diagram for H3DNetworkingUtils::StickyDynamic:

List of all members.

## Public Member Functions
| StickyDynamic (H3D::Inst< H3D::SFBool > locked=0, H3D::Inst< H3D::SFFloat > startForce=0, H3D::Inst< H3D::SFFloat > slideForce=0, H3D::Inst< H3D::SFFloat > friction=0, H3D::Inst< H3D::SFTime > stopDelay=0)
| Constructor.
## Public Attributes
auto_ptr< H3D::SFBool > | locked
| Stops movement access type: inputOutput basic type: SFBool default value: FALSE.
auto_ptr< H3D::SFFloat > | startForce
| Amount of force needed to start moving access type: inputOutput basic type: SFFloat default value: 40.0.
auto_ptr< H3D::SFFloat > | slideForce
| Amount of force needed to keep moving access type: inputOutput basic type: SFFloat default value: 0.05.
auto_ptr< H3D::SFFloat > | friction
| Resistance to movement access type: inputOutput basic type: SFFloat default value: 50.0.
auto_ptr< H3D::SFTime > | stopDelay
| The time period that the StickyDynamic needs to be stopped before it is really treated as stopped We need this because, if we consider it stopped if the force on it is zero momentarily, it can produce jerky movement when pushing an object, as the haptic tool bounces on the surface.

## Detailed Description

The StickyDynamic class is a Dynamic that has three types of stickiness:.

(1) when the "locked" field is true, it will not move at all (2) the "startForce" and "slideForce" fields set the minimum amount of force necessary to start it moving and keep it moving respectively (3) a resisting force of magnitude "friction" * velocity is applied when moving
Examples:

- StickyDynamicTest.x3d

## Member Data Documentation

auto_ptr<H3D::SFTime> H3DNetworkingUtils::StickyDynamic::stopDelay

The time period that the StickyDynamic needs to be stopped before it is really treated as stopped
We need this because, if we consider it stopped if the force on it is zero momentarily, it can produce jerky movement when pushing an object, as the haptic tool bounces on the surface.

access type: inputOutput
basic type: SFFloat
default value: 0.2

The documentation for this class was generated from the following files:

- StickyDynamic.h
- StickyDynamic.cpp